/*
    phoneformat - produce a compact TeX file for a simple address database.
    Copyright (C) 1989-1994  Luigi Semenzato

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Author's address:
    Computer Science Division
    University of California
    Berkeley, CA 94720
    luigi@cs.berkeley.edu

    This program was developed in the author's own time
    and is not connected in any way to the author's research
    at Berkeley.
*/   

struct entry {
	struct stringlist
	  *sortname, *names, *telnos,
	  *address, *comment, *keys;
};

extern struct entry EntryTable[], *CE;

struct stringlist {
	char *string;
	struct stringlist *next;
} *stringcons(), *lastname;

#define NULLS ((struct stringlist *) 0)

extern char *TokenString;

union flexp {
    char *s;
    struct stringlist *l;
};

typedef union flexp yystype;
#define YYSTYPE yystype
extern YYSTYPE yylval;

extern char *defaultKey;
